<template>
    <v-form v-model="validForm">
        <v-row>
            <v-col>
                <v-text-field v-model="value.title"
                              label="Title of Question"
                              :disabled="disableFields"
                              @change="$emit('input', value)"
                              :rules="[v => !!v || 'Title is required']"
                              color="green"
                              autofocus
                              required>
                </v-text-field>
            </v-col>
        </v-row>
        <v-row>
            <v-col>
                <v-text-field v-model="value.questionText"
                              label="Actual Question"
                              :disabled="disableFields"
                              @change="$emit('input', value)"
                              :rules="[v => !!v || 'Question is required']"
                              color="green"
                              required>
                </v-text-field>
            </v-col>
        </v-row>
        <p class="headline">Choose you desired Question Type</p>
        <v-btn elevation="1"
               v-bind="[
                {'outlined' : this.questionType === 'singlechoice'},
                {'depressed' : this.questionType !== 'singlechoice'}
                ]"
               @click="setQuestionType('singlechoice')">
            Single Choice
        </v-btn>
        <v-btn elevation="1"
            v-bind="[
                {'outlined' : this.questionType === 'checkbox'},
                {'depressed' : this.questionType !== 'checkbox'}
                ]"
            @click="setQuestionType('checkbox')">
            Checkbox
        </v-btn>
        <v-btn elevation="1"
            v-bind="[
                {'outlined' : this.questionType === 'numberscale'},
                {'depressed' : this.questionType !== 'numberscale'}
                ]"
            disabled
            @click="setQuestionType('numberscale')">
            Number Scale
        </v-btn>
    </v-form>
</template>

<script>
    export default {
        name: "QuestionForm",
        props: {
            value: Object,
            disableFields: Boolean,
        },
        data: () => ({
            validForm: false,
            questionType: 'singlechoice'
        }),
        watch: {
            validForm: function (newValidity) {
                this.$emit('validation', newValidity);
            }
        },
        methods: {
            setQuestionType(qType) {
                this.questionType = qType;
            }
        }
    }
</script>

<style scoped>

</style>
